# Class RegionViewImageActivationType

java.lang.Object
uk.ac.starlink.topcat.activate.GenericViewImageActivationType
uk.ac.starlink.topcat.activate.RegionViewImageActivationType

All Implemented Interfaces:
  `ActivationType`

public class RegionViewImageActivationType extends GenericViewImageActivationType
ActivationType for displaying an image with a highlighted region in an internal viewer.

Since:
  6 Jul 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`RegionViewImageActivationType()`

## Method Summary

### Methods inherited from class GenericViewImageActivationType

`createConfigurator, getDescription, getName, getSuitability`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegionViewImageActivationType

public RegionViewImageActivationType()